Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat
Class ChatroomParams

    java.lang.Object
      |
      +--jChatBox.Chat.ChatroomParams

public class ChatroomParams
extends java.lang.Object
implements java.io.Serializable

This class provides chatroom parameters.

See Also:
  Serialized Form

Constructor Summary
`ChatroomParams(java.lang.String name, java.lang.String subject, int id)` Basic constructor.
`ChatroomParams(java.lang.String name, java.lang.String subject, int id, int maxUsers, int maxInactive, int history, int refreshLimit, int mode, boolean privateMessage, int refreshModel, java.util.Vector filters)` Full constructor.

Method Summary
`int` | `getDisplayMode()` Returns Display Mode.
`java.util.Vector` | `getFilters()` Returns Filters.
`int` | `getHistory()` Returns History.
`int` | `getID()` Returns Chatroom's ID.
`int` | `getMaxInactive()` Returns User's timeout.
`int` | `getMaxUsers()` Returns Max.
`java.lang.String` | `getName()` Returns Chatroom's name.
`boolean` | `getPrivateStatus()` Returns Private Message status.
`int` | `getRefreshLimit()` Returns Refresh Limit.
`int` | `getRefreshModel()` Returns Refresh Model.
`java.lang.String` | `getSubject()` Returns Chatroom's subject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatroomParams

    public ChatroomParams(java.lang.String name,
                          java.lang.String subject,
                          int id)

  Basic constructor. Just to open default chatroom.

### ChatroomParams

    public ChatroomParams(java.lang.String name,
                          java.lang.String subject,
                          int id,
                          int maxUsers,
                          int maxInactive,
                          int history,
                          int refreshLimit,
                          int mode,
                          boolean privateMessage,
                          int refreshModel,
                          java.util.Vector filters)

  Full constructor.

Method Detail

### getID

    public int getID()

  Returns Chatroom's ID.

### getSubject

    public java.lang.String getSubject()

  Returns Chatroom's subject.

### getName

    public java.lang.String getName()

  Returns Chatroom's name.

### getMaxUsers

    public int getMaxUsers()

  Returns Max. users.

### getMaxInactive

    public int getMaxInactive()

  Returns User's timeout.

### getHistory

    public int getHistory()

  Returns History.

### getRefreshLimit

    public int getRefreshLimit()

  Returns Refresh Limit.

### getRefreshModel

    public int getRefreshModel()

  Returns Refresh Model.

### getFilters

    public java.util.Vector getFilters()

  Returns Filters.

### getDisplayMode

    public int getDisplayMode()

  Returns Display Mode.

### getPrivateStatus

    public boolean getPrivateStatus()

  Returns Private Message status.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD